Jump to content
From ArchWiki

Related articles

- Node.js
- Electron package guidelines

Electron is an application developed by GitHub to build cross platform desktop apps using web technologies. They are rendered using the Chromium browser engine and back end is using the Node.js runtime environment.

## Installation

Install the electron package for the latest version.

Some applications require older electron versions. You can install previous versions in parallel with latest. The corresponding packages are suffixed with version number, for example electron20AUR.

## Tips and tricks

### Turn any website to application

Sometimes you need to use a specific web site, but use it as an application. With nodejs-nativefierAUR you can turn any website to an electron application. For example, there is a website showing you the pressed buttons on the gamepad, and you want to create a separate window for that. Run:

    $ nativefier --name gamepad-overlay \
    --platform linux --arch x64 \
    --width 1024 --height 768 \
    --tray --disable-dev-tools \
    --single-instance "https://gamepadviewer.com/?p=1&s=4&smeter=1"

Now in your home directory there will be a binary `~/gamepad-overlay-linux-x64/gamepad-overlay`. You can run it and have the gamepad overlay in its own window.

For more options, see the project homepage.

Category:

- Frameworks